## python-cryptography 2.1.4

=== debian/changelog ===
python-cryptography (2.1.4-1ubuntu1.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Bleichenbacher timing oracle attack
    - debian/patches/CVE-2020-25659.patch: Attempt to mitigate
      Bleichenbacher attacks on RSA decryption docs/spelling_wordlist.txt,
      src/cryptography/hazmat/backends/openssl/rsa.py.
    - CVE-2020-25659

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 28 Oct 2020 13:50:26 -0300

python-cryptography (2.1.4-1ubuntu1.3) bionic; urgency=medium

  * Rebuild against OpenSSL 1.1.1, cherrypick upstream testsuite fix for
    1.1.1. LP: #1797386

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 17 Dec 2018 11:16:35 +1100

python-cryptography (2.1.4-1ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: GCM disallow implicit tag truncation
    - debian/patches/CVE-2018-10903.patch: fix in
      docs/hazmat/primitives/symmetric-encryption.rst,
      src/cryptography/hazmat/backends/openssl/ciphers.py,
      src/cryptography/hazmat/primitives/ciphers/modes.py,
      tests/hazmat/primitives/test_aes.py.
    - CVE-2018-10903

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 20 Jul 2018 11:09:59 -0300

python-cryptography (2.1.4-1ubuntu1.1) bionic; urgency=medium

  * d/control: Reverted addition of python-cffi as it is not apparently
    necessary.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Mar 2018 10:28:34 -0500

python-cryptography (2.1.4-1ubuntu1) bionic; urgency=medium

  * d/control: Add python-cffi to binary package dependencies (LP: #1752660).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Mar 2018 14:37:41 -0500

python-cryptography (2.1.4-1build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:17 +0000

python-cryptography (2.1.4-1build1) bionic; urgency=medium

  * No change rebuild for openssl 1.0.2n.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jan 2018 14:16:13 +0000

python-cryptography (2.1.4-1) unstable; urgency=medium

  * New upstream release (closes: #884062).
  * Add DPMT to Uploaders.
  * Bump Standards-Version to 4.1.2 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 11 Dec 2017 13:47:46 +0200

python-cryptography (2.1.3-3) unstable; urgency=medium

  * Filter out manually translated dependencies from requires.txt as
    dh_python is not doing this for us (closes: #882011, #882170).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 19 Nov 2017 23:31:53 +0200

python-cryptography (2.1.3-2) unstable; urgency=medium

  * Work around lack of environment marker support in dh_python by
    explicitly listing dependencies (closes: #882011).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 18 Nov 2017 13:16:11 +0200

python-cryptography (2.1.3-1) unstable; urgency=medium

  * New upstream release (closes: #874456).
  * Bump python-cffi{,3} dependency (closes: #871518).
  * Only build on default Python (closes: #866668).
  * Use HTTPS in debian/watch.
  * Bump Standards-Version to 4.1.1 (no changes).
  * Remove unneeded Testsuite field in debian/control.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 16 Nov 2017 19:02:33 +0200
