## python-cryptography 2.3

=== debian/changelog ===
python-cryptography (2.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Oct 2018 17:55:38 +0200

python-cryptography (2.3-1) unstable; urgency=medium

  * New upstream release (closes: #904072).
    - Fixes CVE-2018-10903.
  * Bump Standards-Version to 4.1.5 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 28 Jul 2018 05:50:55 +0200

python-cryptography (2.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Tristan Seligmann ]
  * New upstream release (closes: #901076).
    - Fixed compatibility with newer Sphinx (closes: #896631).
  * Populate debian/upstream/metadata.
  * Bump Standards-Version to 4.1.4 (no changes).
  * Bump debhelper compat level to 11.
  * Tighten vectors dependency for autopkgtests (closes: #884484).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 09 Jun 2018 16:28:09 +0200
