=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Depends:
  python-all,
  python-cryptography,
- python-cryptography-vectors,
+ python-cryptography-vectors (<< 2.3.1~),
+ python-cryptography-vectors (>= 2.3~),
  python-hypothesis,
  python-iso8601,
  python-pretend,
@@ -11,7 +12,8 @@
  python-tz,
  python3-all,
  python3-cryptography,
- python3-cryptography-vectors,
+ python3-cryptography-vectors (<< 2.3.1~),
+ python3-cryptography-vectors (>= 2.3~),
  python3-hypothesis,
  python3-iso8601,
  python3-pretend,
