## python-cryptography 2.6.1

=== debian/changelog ===
python-cryptography (2.6.1-3+deb10u2) buster; urgency=medium

  * Cherrypick 92241410b5b0591d849443b3023992334a4be0a2 and
    9a22851fab924fd58482fdad3f8dd23dc3987f91 from upstream which
    addresses a memory leak triggerable when parsing x509
    certificate extensions like AIA, thanks to Valentin
    Gutierrez for the report (Closes: #941413)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 18 Oct 2019 16:08:59 +0200

python-cryptography (2.6.1-3+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Backport two patches to fix the testsute with newer openssl.
  * Ignore test_load_ecdsa_no_named_curve in the testsuite because it known to
    break with newer openssl (Closes: #940547).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 30 Sep 2019 20:55:00 +0200

python-cryptography (2.6.1-3) unstable; urgency=medium

  * Fix autopkgtest dependencies.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 09 Mar 2019 13:25:47 +0200

python-cryptography (2.6.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Tristan Seligmann ]
  * Fix merge.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 08 Mar 2019 20:56:58 +0200

python-cryptography (2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 08 Mar 2019 13:33:42 +0200
