=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- Mattia Rizzolo <mattia@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -12,8 +11,8 @@
  libssl-dev,
  python-asn1crypto (>= 0.21.0~),
  python-cffi (>= 1.7~),
- python-cryptography-vectors (<< 2.3.1~) <!nocheck>,
- python-cryptography-vectors (>= 2.3~) <!nocheck>,
+ python-cryptography-vectors (<< 2.6.2~) <!nocheck>,
+ python-cryptography-vectors (>= 2.6.1~) <!nocheck>,
  python-dev,
  python-enum34,
  python-hypothesis <!nocheck>,
@@ -28,8 +27,8 @@
  python-tz <!nocheck>,
  python3-asn1crypto (>= 0.21.0~),
  python3-cffi (>= 1.7~),
- python3-cryptography-vectors (<< 2.3.1~) <!nocheck>,
- python3-cryptography-vectors (>= 2.3~) <!nocheck>,
+ python3-cryptography-vectors (<< 2.6.2~) <!nocheck>,
+ python3-cryptography-vectors (>= 2.6.1~) <!nocheck>,
  python3-dev,
  python3-hypothesis <!nocheck>,
  python3-idna (>= 2.0~),
