## python-cryptography 2.8

=== debian/changelog ===
python-cryptography (2.8-3ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: exposure of confidential data
    - debian/patches/CVE-2023-50782.patch: update bindings in
      src/_cffi_src/openssl/rsa.py to be compatible with new openssl version
      31.1.1f-1ubuntu2.22, which fixes the issue by changing PKCS#1 v1.5 RSA to 
      return random output instead of an exception when detecting wrong padding
    - CVE-2023-50782 

 -- Jorge Sancho Larraz <jorge.sancho.larraz@canonical.com>  Thu, 29 Feb 2024 11:30:05 +0100

python-cryptography (2.8-3ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: corrupted output via immutable objects
    - debian/patches/CVE-2023-23931.patch: don't allow update_into to
      mutate immutable objects in tests/hazmat/primitives/test_ciphers.py,
      src/cryptography/hazmat/backends/openssl/ciphers.py.
    - CVE-2023-23931

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Dec 2023 15:04:00 -0500

python-cryptography (2.8-3ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Bleichenbacher timing oracle attack
    - debian/patches/CVE-2020-25659.patch: Attempt to mitigate
      Bleichenbacher attacks on RSA decryption docs/spelling_wordlist.txt,
      src/cryptography/hazmat/backends/openssl/rsa.py.
    - CVE-2020-25659

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 28 Oct 2020 13:10:56 -0300

python-cryptography (2.8-3) unstable; urgency=medium

  * Team upload.
  * debian/control
    - use python3-sphinx-rtd-theme; Closes: #950448

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Feb 2020 20:01:51 -0500

python-cryptography (2.8-2) unstable; urgency=medium

  * Fix autopkgtest deps (Closes: #950262).
  * Depend on python-all-dev instead of python-dev.
  * Bump Standards-Version to 4.5.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 31 Jan 2020 10:50:12 +0200

python-cryptography (2.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

  [ Tristan Seligmann ]
  * New upstream release (Closes: #941261).
  * Bump Standards-Version to 4.4.1 (no changes).
  * Drop upstream patches.
  * Allow rootless builds.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 29 Jan 2020 18:22:38 +0200

python-cryptography (2.6.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Moritz Muehlenhoff ]
  * Cherrypick 92241410b5b0591d849443b3023992334a4be0a2 and
    9a22851fab924fd58482fdad3f8dd23dc3987f91 from upstream which
    addresses a memory leak triggerable when parsing x509
    certificate extensions like AIA, thanks to Valentin
    Gutierrez for the report (Closes: #941413)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 18 Oct 2019 14:54:14 +0200

python-cryptography (2.6.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport two patches to fix the testsute with newer openssl.
  * Ignore test_load_ecdsa_no_named_curve in the testsuite because it known to
    break with newer openssl (Closes: #940547).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 24 Sep 2019 21:10:32 +0200
