=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-cryptography
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python (>= 2.20151103),
  dpkg-dev (>= 1.17.14),
  libssl-dev,
  python-asn1crypto (>= 0.21.0~),
  python-cffi (>= 1.7~),
- python-cryptography-vectors (<< 2.6.2~) <!nocheck>,
- python-cryptography-vectors (>= 2.6.1~) <!nocheck>,
- python-dev,
+ python-cryptography-vectors (<< 2.8.1~) <!nocheck>,
+ python-cryptography-vectors (>= 2.8~) <!nocheck>,
+ python-all-dev,
  python-enum34,
  python-hypothesis <!nocheck>,
  python-idna (>= 2.0~),
@@ -23,12 +24,11 @@
  python-pytest (>= 2.9.0) <!nocheck>,
  python-setuptools (>= 11.3),
  python-six (>= 1.4.1~),
- python-sphinx-rtd-theme <!nodoc>,
  python-tz <!nocheck>,
  python3-asn1crypto (>= 0.21.0~),
  python3-cffi (>= 1.7~),
- python3-cryptography-vectors (<< 2.6.2~) <!nocheck>,
- python3-cryptography-vectors (>= 2.6.1~) <!nocheck>,
+ python3-cryptography-vectors (<< 2.8.1~) <!nocheck>,
+ python3-cryptography-vectors (>= 2.8~) <!nocheck>,
  python3-dev,
  python3-hypothesis <!nocheck>,
  python3-idna (>= 2.0~),
@@ -38,11 +38,13 @@
  python3-setuptools (>= 11.3),
  python3-six (>= 1.4.1~),
  python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
  python3-tz <!nocheck>,
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: https://cryptography.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cryptography.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cryptography
+Rules-Requires-Root: no
 
 Package: python-cryptography
 Architecture: any
