=== debian/tests/control ===
Test-Command: for p in $(pyversions -s) $(py3versions -s); do $p -m pytest tests/; done
Depends:
 python-all,
 python-cffi,
 python-cryptography,
 python-cryptography-vectors (<< 2.8.1~),
 python-cryptography-vectors (>= 2.8~),
 python-hypothesis,
 python-iso8601,
 python-pretend,
 python-pyasn1-modules,
 python-pytest,
 python-tz,
 python3-all,
 python3-cffi,
 python3-cryptography,
 python3-cryptography-vectors (<< 2.8.1~),
 python3-cryptography-vectors (>= 2.8~),
 python3-hypothesis,
 python3-iso8601,
 python3-pretend,
 python3-pyasn1-modules,
 python3-pytest,
 python3-tz,
