## python-cryptography 3.0

=== debian/changelog ===
python-cryptography (3.0-1ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Bleichenbacher timing oracle attack
    - debian/patches/CVE-2020-25659.patch: Attempt to mitigate
      Bleichenbacher attacks on RSA decryption docs/spelling_wordlist.txt,
      src/cryptography/hazmat/backends/openssl/rsa.py.
    - CVE-2020-25659

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 28 Oct 2020 13:27:06 -0300

python-cryptography (3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 21 Jul 2020 10:22:33 +0200

python-cryptography (2.9.2-1) unstable; urgency=medium

  * New upstream release (closes: #963114).
    - Drop cherry-picked patches.
  * Switch to dh-sequence-*.
  * Bump debhelper-compat to 13.
  * Apply sphinxdoc:Built-Using.
  * Use local python3-doc inventory.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 18 Jul 2020 18:25:40 +0200

python-cryptography (2.8-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937672
  * Add myself to Uploaders (with Maintainer's permission)

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Apr 2020 18:53:59 -0400
