=== debian/control ===
--- 
+++ 
@@ -3,33 +3,21 @@
 XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+ Sandro Tosi <morph@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- dh-python (>= 2.20151103),
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  dpkg-dev (>= 1.17.14),
  libssl-dev,
- python-asn1crypto (>= 0.21.0~),
- python-cffi (>= 1.7~),
- python-cryptography-vectors (<< 2.8.1~) <!nocheck>,
- python-cryptography-vectors (>= 2.8~) <!nocheck>,
- python-all-dev,
- python-enum34,
- python-hypothesis <!nocheck>,
- python-idna (>= 2.0~),
- python-ipaddress,
- python-iso8601 <!nocheck>,
- python-pretend <!nocheck>,
- python-pytest (>= 2.9.0) <!nocheck>,
- python-setuptools (>= 11.3),
- python-six (>= 1.4.1~),
- python-tz <!nocheck>,
+ python3-all-dev,
  python3-asn1crypto (>= 0.21.0~),
  python3-cffi (>= 1.7~),
- python3-cryptography-vectors (<< 2.8.1~) <!nocheck>,
- python3-cryptography-vectors (>= 2.8~) <!nocheck>,
- python3-dev,
+ python3-cryptography-vectors (<< 3.0.1~) <!nocheck>,
+ python3-cryptography-vectors (>= 3.0~) <!nocheck>,
+ python3-doc <!nodoc>,
  python3-hypothesis <!nocheck>,
  python3-idna (>= 2.0~),
  python3-iso8601 <!nocheck>,
@@ -45,28 +33,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cryptography.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cryptography
 Rules-Requires-Root: no
-
-Package: python-cryptography
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Breaks: python-openssl (<< 16.0.0)
-Suggests: python-cryptography-doc, python-cryptography-vectors
-Description: Python library exposing cryptographic recipes and primitives (Python 2)
- The cryptography library is designed to be a "one-stop-shop" for
- all your cryptographic needs in Python.
- .
- As an alternative to the libraries that came before it, cryptography
- tries to address some of the issues with those libraries:
-  - Lack of PyPy and Python 3 support.
-  - Lack of maintenance.
-  - Use of poor implementations of algorithms (i.e. ones with known
-    side-channel attacks).
-  - Lack of high level, "Cryptography for humans", APIs.
-  - Absence of algorithms such as AES-GCM.
-  - Poor introspectability, and thus poor testability.
-  - Extremely error prone APIs, and bad defaults.
- .
- This package contains the Python 2 version of cryptography.
 
 Package: python3-cryptography
 Architecture: any
@@ -94,6 +60,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Section: doc
+Built-Using: ${sphinxdoc:Built-Using}
 Build-Profiles: <!nodoc>
 Description: Python library exposing cryptographic recipes and primitives (documentation)
  The cryptography library is designed to be a "one-stop-shop" for
