=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-cryptography
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+ Debian Python Team <team+python@tracker.debian.org>,
  Sandro Tosi <morph@debian.org>,
 Section: python
 Priority: optional
@@ -15,8 +14,8 @@
  python3-all-dev,
  python3-asn1crypto (>= 0.21.0~),
  python3-cffi (>= 1.7~),
- python3-cryptography-vectors (<< 3.0.1~) <!nocheck>,
- python3-cryptography-vectors (>= 3.0~) <!nocheck>,
+ python3-cryptography-vectors (<< 3.3.3~) <!nocheck>,
+ python3-cryptography-vectors (>= 3.3.2~) <!nocheck>,
  python3-doc <!nodoc>,
  python3-hypothesis <!nocheck>,
  python3-idna (>= 2.0~),
@@ -30,8 +29,8 @@
  python3-tz <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://cryptography.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-cryptography.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cryptography
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
 Rules-Requires-Root: no
 
 Package: python3-cryptography
