=== debian/tests/control ===
Test-Command: set -e; for p in $(py3versions -s); do $p -m pytest tests/; done
Depends:
 python3-all,
 python3-cffi,
 python3-cryptography,
 python3-cryptography-vectors (<< 3.4.9~),
 python3-cryptography-vectors (>= 3.4.8~),
 python3-hypothesis,
 python3-iso8601,
 python3-pretend,
 python3-pyasn1-modules,
 python3-pytest,
 python3-pytest-subtests,
 python3-tz,
