## python-cryptography 38.0.4

=== debian/changelog ===
python-cryptography (38.0.4-3+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2023-49083: NULL dereference when loading PKCS7 certificates
    (Closes: #1057108)
  * CVE-2024-26130: NULL dereference when PKCS#12 key and cert don't match
    (Closes: #1064778)

 -- Adrian Bunk <bunk@debian.org>  Wed, 16 Oct 2024 19:53:04 +0300

python-cryptography (38.0.4-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Don't allow update_into to mutate immutable objects (CVE-2023-23931)
    (Closes: #1031049)

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Feb 2023 00:36:13 -0500

python-cryptography (38.0.4-2) unstable; urgency=medium

  * Team upload.
  * Patch: Remove the runtime dependency on cffi from .dist-info.
    (Closes: #1026537)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Jan 2023 16:31:04 -0400

python-cryptography (38.0.4-1) unstable; urgency=medium

  [ Claudius Heine ]
  * New upstream release (Closes: #1011155).
  * Dropped openssl3 patches, no longer required.
  * Integrated build of embedded rust library.
  * debian/control
    - bump b-d on cryptography-vectors to 38.0.4
    - build using pybuild-plugin-pyproject
    - remove dependencies dropped by upstream
    - add pytest-benchmark to b-d, needed for tests
    - add setuptools-rust to b-d, needed for the Rust part of the build
    - add cargo and other rust pkgs to b-d
    - bump Standards-Version to 4.6.1 (no changes needed)
  * debian/pydist-overrides, debian/py3dist-overrides
    - remove dependencies dropped by upstream
  * debian/rules
    - enable the Rust build
    - override dh_dwz to disable multifile
  * debian/patches/no-rust.patch
    - removed, we are actually building the Rust code now
  * debian/python-cryptography-doc.doc-base
    - add doc-base
  * debian/source/options
    - exclude some packaging files updated during build
  * debian/patches/Upgrade-to-pyo3-0.*
    - add support for pyo3 0.16 and 0.17
  * debian/patches/allow-pem-version-1.0.patch
    - relax pem rust versioned dependency
  * debian/patches/ease-asn1-version-from-0.12.1-to-0.12.patch
    - relax asn1 rust versioned dependency
  * debian/patches/ease-chrono-dependency-from-0.4.22-to-0.4.patch
    - relax chrono rust versioned dependency

  [ Sandro Tosi ]
  * debian/control
    - run wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Thu, 15 Dec 2022 12:00:09 -0500

python-cryptography (3.4.8-3) UNRELEASED; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev, python3-asn1crypto,
      python3-cffi, python3-idna, python3-pytest, python3-setuptools and
      python3-six.
    + python3-cryptography: Drop versioned constraint on python3-openssl in
      Breaks.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 19 May 2022 05:05:36 -0000

python-cryptography (3.4.8-2) unstable; urgency=medium

  * Team upload.
  * Add support for OpenSSL 3.0.1 (Closes: #1006008)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 18 May 2022 12:22:15 -0400
