=== debian/control ===
Source: python-cryptography
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
           Sandro Tosi <morph@debian.org>,
Section: python
Priority: optional
Build-Depends: cargo,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               dpkg-dev (>= 1.17.14),
               librust-asn1-0.12-dev,
               librust-asn1-derive-0.12-dev,
               librust-chrono-0.4-dev,
               librust-indoc-dev,
               librust-ouroboros-0.15-dev,
               librust-paste-dev,
               librust-pem-1.0-dev,
               librust-pyo3-0.17-dev,
               librust-pyo3-macros-0.17-dev,
               libssl-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cffi,
               python3-cryptography-vectors (<< 38.0.5~) <!nocheck>,
               python3-cryptography-vectors (>= 38.0.4~) <!nocheck>,
               python3-doc <!nodoc>,
               python3-hypothesis <!nocheck>,
               python3-iso8601 <!nocheck>,
               python3-pretend <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-subtests <!nocheck>,
               python3-setuptools,
               python3-setuptools-rust,
               python3-six,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-tz <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://cryptography.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
Rules-Requires-Root: no

Package: python3-cryptography
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-cryptography-doc,
          python3-cryptography-vectors,
Description: Python library exposing cryptographic recipes and primitives (Python 3)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the Python 3 version of cryptography.

Package: python-cryptography-doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Section: doc
Built-Using: ${sphinxdoc:Built-Using},
Build-Profiles: <!nodoc>
Description: Python library exposing cryptographic recipes and primitives (documentation)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the documentation for cryptography.
