## python-cryptography 41.0.7

=== debian/changelog ===
python-cryptography (41.0.7-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:04:20 +0000

python-cryptography (41.0.7-4build2) noble; urgency=medium

  * No-change rebuild for consistent binaries.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 00:25:22 +0000

python-cryptography (41.0.7-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:06:46 +0000

python-cryptography (41.0.7-4) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 12:23:58 -0500

python-cryptography (41.0.7-3) unstable; urgency=medium

  * Upgrade to pyo3 0.20. Closes: #1063365

 -- Jérémy Lal <kapouer@melix.org>  Thu, 08 Feb 2024 15:34:30 +0100

python-cryptography (41.0.7-2) unstable; urgency=medium

  * patch: drop pem 1.0 workaround, depends pem 1.1. Closes: 1060294.
  * autopkgtest: fix version of cryptography-vectors

 -- Jérémy Lal <kapouer@melix.org>  Tue, 09 Jan 2024 01:14:48 +0100

python-cryptography (41.0.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 41.0.7
  * patch: remove n/a, disable a test to keep building with pem 1.0
  * Update deps
  * Bump Standards-Version

  [ Sandro Tosi ]
  * New upstream release; Closes: #1031049
    - fixes CVE-2023-23931
  * debian/watch
    - remove pgpsigurlmangle, .asc file no longer on PyPI

  [ Nicolas Dandrimont ]
  * New upstream version 41.0.3

 -- Jérémy Lal <kapouer@melix.org>  Sun, 07 Jan 2024 13:24:39 +0100

python-cryptography (38.0.4-4) unstable; urgency=medium

  * Team Upload.

  [ Peter Michael Green ]
  * Don't depend on librust-indoc-dev, it's not used directly,
    instead depend on the "default" feature of librust-pyo3-dev.
  * Apply adjusted upstream patch for py03 0.19 and bump
    dependencies accordingly (Closes: #1038746, #1042160)

  [ Nicolas Dandrimont ]
  * Fix tests when using recent tzdata (dropping the US timezone
    symlinks)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 08 Aug 2023 17:16:11 +0200
