=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: python-cryptography
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
-           Sandro Tosi <morph@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
 Build-Depends: cargo,
@@ -9,21 +8,23 @@
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
                dpkg-dev (>= 1.17.14),
-               librust-asn1-0.12-dev,
-               librust-asn1-derive-0.12-dev,
-               librust-chrono-0.4-dev,
-               librust-indoc-dev,
+               librust-asn1-0.15-dev,
+               librust-asn1-derive-0.15-dev,
+               librust-foreign-types-shared-0.1-dev,
+               librust-openssl-dev,
+               librust-openssl-sys-dev,
                librust-ouroboros-0.15-dev,
                librust-paste-dev,
-               librust-pem-1.0-dev,
-               librust-pyo3-0.17-dev,
-               librust-pyo3-macros-0.17-dev,
+               librust-pem-1.1-dev,
+               librust-pyo3-0.20-dev,
+               librust-pyo3-0.20+default-dev,
+               librust-pyo3-macros-0.20-dev,
                libssl-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cffi,
-               python3-cryptography-vectors (<< 38.0.5~) <!nocheck>,
-               python3-cryptography-vectors (>= 38.0.4~) <!nocheck>,
+               python3-cryptography-vectors (<< 41.0.8~) <!nocheck>,
+               python3-cryptography-vectors (>= 41.0.7~) <!nocheck>,
                python3-doc <!nodoc>,
                python3-hypothesis <!nocheck>,
                python3-iso8601 <!nocheck>,
@@ -33,11 +34,11 @@
                python3-pytest-subtests <!nocheck>,
                python3-setuptools,
                python3-setuptools-rust,
-               python3-six,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-tz <!nocheck>,
-Standards-Version: 4.6.1
+               tzdata <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://cryptography.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
