=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS={dir}/tests/
 export PYBUILD_BEFORE_TEST=cp -R {dir}/src/${PYBUILD_NAME}.egg-info {build_dir}
-export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis
 
 %:
 	dh $@ --buildsystem=pybuild
